<?php
require_once('autoload.include.php') ;

$p = new WebPage('Authentification') ;

$content = <<<HTML

Menu membre:
<ul>
    <li><a href='index.php'>Page de votre profile</a>
    <li><a href='pageAgregateurRssTmp.php'>Page de votre agregateur RSS temporaire -> Quand on ajoute un flux, il est stocké dans un tableau et non dans la bd donc disparaîtra au rechargement de la page</a>
    <li><a href='pageAgregateurRssBd.php'>Page de votre agregateur RSS personnel -> Quand on ajoute un flux, il est stocké dans la bd donc ne disparaîtra pas, sauf si vous le supprimez</a>
	<li><a href='pageAgregateurOpml.php'>Page de votre agregateur OPML</a>
    <li><a href='NewRss.php'>Script qui créer un flux RSS à partir d'un ficher .OPML</a>
</ul>

HTML;

if(User::isConnected()) {
	try {
		// Lecture depuis les données de session
		$u = User::createFromSession() ;
		// Sauvegarde dans la session (si connexion réussie)
		$u->saveIntoSession() ;
		$p->appendContent(<<<HTML
<div>Salut {$u->firstName()}</div>
{$content}
HTML
) ;
	}
	catch (notInSessionException $e) {
    // utilisateur connecté, c'est sur mais objet c'est pas sur que ce soit le même type
    $p->appendContent("ERREUR notInSessionException : " . $e);
    die() ;
	}
}
else {
	try {
	// Tentative de connexion
    $user = User::createFromAuthSHA1($_REQUEST) ;
    // Sauvegarde dans la session (si connexion réussie)
    $user->saveIntoSession() ;
    $p->appendContent(<<<HTML
<div>Salut {$user->firstName()}</div>
{$content}
HTML
) ;
	}
	catch (AuthenticationException $e) {
		// Récuperation de l'exception si connexion échouée
		$p->appendContent("Échec d'authentification&nbsp;: {$e->getMessage()}") ;
	}
	catch (Exception $e) {
		$p->appendContent("Un problème est survenu&nbsp;: {$e->getMessage()}") ;
	}
}

// Envoi du code HTML au navigateur du client
echo $p->toHTML() ;