<?php
require_once('autoload.include.php') ;

/**
 * flux RSS
 */
class FluxRSS {

	/// l'url du flux rss
    private $url = null ;

    /// Constructeur non accessible
    private function __construct() {
    }

    /**
     * Accesseur sur l'url
     * @return string url
     */
    public function getUrl() {
        return $this->url ;
    }

	/**
     * Lire l'ensemble des enregistrements de flux
     * @return array<Artist> tableau d'instances de Artist
     */
    public static function getAll() {
        $stmt = myPDO::getInstance()->prepare(<<<SQL
            SELECT url
            FROM agreg_flux
SQL
        ) ;
        $stmt->setFetchMode(PDO::FETCH_CLASS, 'FluxRSS') ;
        $stmt->execute() ;
        return $stmt->fetchAll() ;
    }

	/**
     * ajoutFlux
     * @return 
     */
    public static function ajoutFlux($newFlux) {
		$nbUrl  = myPDO::getInstance()->prepare("SELECT url FROM agreg_flux WHERE url = ?");
		$nbUrl->execute(array($newFlux)) ;
		$rows = $nbUrl->fetchAll();
		if (count($rows)==0) {
		$stmt = myPDO::getInstance()->prepare(<<<SQL
			INSERT INTO agreg_flux (url)
			VALUES (?)
SQL
);
		$stmt->execute(array($newFlux)) ;
		}
		else {
			throw new Exception($newFlux.' existe dj dans votre bd') ;
		}
    }
	
    /**
     * Production d'un formulaire d'ajout de flux
     * @param string $action URL cible du formulaire
     * @param string $submitText texte du bouton d'envoi
     *
     * @return string code HTML du formulaire
     */
    public static function ajoutFluxForm($action, $meth = 'GET', $submitText='OK') {
        $form = "<form name='fomAjoutFlux' action='{$action}' method='{$meth}'>";
		return $form.=<<<HTML
<input type='text' name='fluxUrl'>
<input type='submit' value='{$submitText}'>
</form>	
HTML;
    }
}