<?php
require_once('autoload.include.php') ;

// Demande de deconnexion ?
User::logoutIfRequested() ;

$p = new WebPage('Authentification') ;

try {
    // Lecture depuis les données de session
    $u = User::createFromSession() ;

    // Tout va bien, on continue : affichage du profile et bouton déconnexion
    $p->appendContent(<<<HTML
        {$u->profile()}
        {$u->logoutForm('Se déconnecter', $_SERVER['PHP_SELF'])}
HTML
) ;
}
catch (NotInSessionException $e) {
    // Pas d'utilisateur trouvé dans la session, on propose le formulaire de connexion
    // Production du formulaire de connexion
    // Ceci doit etre fait avant tout envoi de données car cette méthode utilise les sessions
    $p->appendCSS(<<<CSS
    form input {
        width : 4em ;
    }
CSS
) ;
    $form = User::loginFormSHA1('authSHA1.php') ;
    $p->appendContent(<<<HTML
    {$form}
    <p>Testé avec William Galby, login=Willynov, mdp=Willynov
HTML
) ;
}

echo $p->toHTML() ;