<?php
require_once('autoload.include.php') ;

try {
    // Lecture depuis les donnes de session
    $u = User::createFromSession() ;

    $title = 'Zone membre' ;
    $p = new WebPage($title) ;

    $p->appendContent(<<<HTML
        <h1>Agregateur OPML de {$u->firstName()}</h1>
		<p>Voici un exemple avec un fichier .OPML : Les fichiers de type OPML contiennent des balises XML qui elles mme contiennent des liens de flux rss.
		<p>Ici, les 3 flux exmples sont confondus et tris par date (un groupe de flux en quelque sorte)
		<p>Le script est dynamique, c'est une lecture d'un fichier .OPML. Il est en "dur" sur le serveur mais si ctait un lien a reviendrait au mme, c'est juste qu'en gnrale, le fichier .OPML appartient  l'utilisateur ou au compte de l'utilisateur :
		<p>->il suffit de mettre un formulaire qui permet d'ajouter sur le serveur un fichier .OPML (dans le cas d'une importation par exemple) et de le lire (c'est ce qui c'est pass pour que la page s'affiche)
		<p>->On peut galement faire un script (du mme genre) qui crer un fichier .OPML, avec la liste des flux rss (pour une exportation des flux par exemple)
		<p>->J'ai galement cr un script qui fabrique un flux rss  partir d'un fichier .OPML (on peut par exmple faire des groupes de flux rss). Il se trouve juste avant, en fin de liste  puce (faite retour)
HTML
) ;
	
	$p->appendCSS(<<<CSS
          .rss a:link, .rss a:visited {
              text-decoration : none ;
          }

          .rss a:link:hover {
              text-decoration : underline ;
          }

          .rss .flux {
              font-weight : bold ;
          }
CSS
) ;
	try {
		// Construction de l'agrgateur
		$a = new AgregateurOPML() ;
		// Chargement des flux contenus dans un fichier OPML
		$a->charger('flux.opml') ;
		// Tri des lments agrgs par date
		$a->triDate() ;
		// Mise en forme HTML des lments
		$p->appendContent($a->toHTMLOPML()) ;
	}
	catch (Exception $e) {
		$p->appendContent(<<<HTML
    <h1>Exception rencontre</h1>
    <em>{$e->getMessage()}</em>
    <div id='trace'>Trace :
    <pre>
{$e->getTraceAsString()}
    </pre>
    </div>
HTML
) ;
	}
}
catch (notInSessionException $e) {
    // Pas d'utilisateur connect
    header("Location: http://{$_SERVER['SERVER_NAME']}/".dirname($_SERVER['PHP_SELF'])."/index.php") ;
    die() ;
}

echo $p->toHTML() ;

