<?php
require_once('autoload.include.php') ;

try {
    // Lecture depuis les donnes de session
    $u = User::createFromSession() ;

    $title = 'Zone membre' ;
    $p = new WebPage($title) ;

    $p->appendContent(<<<HTML
        <h1>Agregateur RSS de {$u->firstName()}</h1>
		<p>Pour l'exemple : quelques flux sont dj dans la bd :
		<p>http://www.clubic.com/xml/news.xml
		<p>http://www.generation-nt.com/export/rss.xml
		<p>http://www.cowcotland.com/rss-news.xml
HTML
) ;
	$p->appendCSS(<<<CSS
	.rss a:link, .rss a:visited
	{
		text-decoration : none ;
	}

	.rss a:link:hover
	{
		text-decoration : none ;
	}

	.rss .flux
	{
		font-weight : bold ;
	}
	  
	table
	{
		border: medium solid #6495ed;
		border-collapse: collapse;
		margin-bottom : 50px;
	}
	th
	{
		border: thin solid #6495ed;
		background-color: black;
	}
	.large
	{
		height: 20px;
		width: 850px;
	}
	td
	{
		font-family: sans-serif;
		border: thin solid #6495ed;
		text-align: center;
	}
	caption
	{
		font-family: sans-serif;
	}
	
	input[type=text]
	{
		margin-bottom: 50px;
		width : 400px ;
	}
CSS
) ;

	try {
		//Tableau contenant les noms des fichiers source
		$urls = FluxRss::getAll();
		//reception du formulaire et verifie si le flux existe dj dans la bd puis l'ajoute dans la bd
		if(isset($_GET['fluxUrl']))
		{
			FluxRss::ajoutFlux($_GET['fluxUrl']);
			//MARCHEEEEEEEEE PAS
			//rechargement de la page mais sans paramtre
			header("Location: http://{$_SERVER['SERVER_NAME']}/".dirname($_SERVER['PHP_SELF'])."/pageAgregateurRssBd.php") ;
		}
		
		//formulaire d'ajout d'un flux rss
		$p->appendContent(FluxRss::ajoutFluxForm("http://".$_SERVER['SERVER_NAME'].dirname($_SERVER['PHP_SELF'])."/pageAgregateurRssBd.php", "GET", "Ajouter le Flux")) ;
		
		// Construction de l'agrgateur
		$a = new AgregateurRSS() ;
		// Parcours des noms des fichiers RSS
		//var_dump($urls);
		foreach ($urls as $url) {
			// Ajout  l'agrgateur
			$a->ajouterFlux($url->getUrl()) ;
		}
		// Mise en forme HTML des lments
		$p->appendContent($a->toHTMLRSS()) ;
	}
	catch (Exception $e) {
		$p->appendContent(<<<HTML
    <h1>Exception rencontre</h1>
    <p>{$u->firstName()},
	<em>{$e->getMessage()}</em>
    <div id='trace'>Trace :
    <pre>
{$e->getTraceAsString()}
    </pre>
    </div>
HTML
) ;
	}

}
catch (notInSessionException $e) {
    // Pas d'utilisateur connect
    header("Location: http://{$_SERVER['SERVER_NAME']}/".dirname($_SERVER['PHP_SELF'])."/index.php") ;
    die() ;
}

echo $p->toHTML() ;