<?php
require_once('autoload.include.php') ;

try {
    // Lecture depuis les donnes de session
    $u = User::createFromSession() ;

    $title = 'Zone membre' ;
    $p = new WebPage($title) ;

    $p->appendContent(<<<HTML
        <h1>Agregateur RSS de {$u->firstName()}</h1>
		<p>Pour l'exemple : 3 flux par default :
		<p>http://www.clubic.com/xml/news.xml
		<p>http://www.generation-nt.com/export/rss.xml
		<p>http://www.cowcotland.com/rss-news.xml
HTML
) ;
	$p->appendCSS(<<<CSS
	.rss a:link, .rss a:visited
	{
		text-decoration : none ;
	}

	.rss a:link:hover
	{
		text-decoration : none ;
	}

	.rss .flux
	{
		font-weight : bold ;
	}
	  
	table
	{
		border: medium solid #6495ed;
		border-collapse: collapse;
		margin-bottom : 50px;
	}
	th
	{
		border: thin solid #6495ed;
		background-color: black;
	}
	.large
	{
		height: 20px;
		width: 850px;
	}
	td
	{
		font-family: sans-serif;
		border: thin solid #6495ed;
		text-align: center;
	}
	caption
	{
		font-family: sans-serif;
	}
	
	input[type=text]
	{
		margin-bottom: 50px;
		width : 400px ;
	}
CSS
) ;

	try {
		//Tableau contenant les noms des fichiers source
		$url = array(
				'http://www.clubic.com/xml/news.xml',
				'http://www.generation-nt.com/export/rss.xml',
				'http://www.cowcotland.com/rss-news.xml',
) ;
		//reception du formulaire et verifie si le flux existe dj dans le tableau
		$newFlux="";
		if(isset($_GET['fluxUrl']))
		{
			$newFlux=$_GET['fluxUrl'];
			if(!(in_array($newFlux,$url))) 
			{
				array_push($url, $newFlux);
			}
			else
			{
				$p->appendContent("<p>le flux existe dj dans vos flux") ;
			}
		}
		//formulaire d'ajout d'un flux rss en ajax
		$p->appendContent("<form name='fomAjoutFlux' action='http://".$_SERVER['SERVER_NAME'].dirname($_SERVER['PHP_SELF'])."/pageAgregateurRssTmp.php' method='GET'>");
		$p->appendContent(<<<FORM
<input type='text' name='fluxUrl'>
<input type='submit' value='Ajouter un flux'>
</form>	

FORM
);
		// Construction de l'agrgateur
		$a = new AgregateurRSS() ;
		// Parcours des noms des fichiers RSS
		foreach ($url as $u) {
			// Ajout  l'agrgateur
			$a->ajouterFlux($u) ;
		}
		// Mise en forme HTML des lments
		$p->appendContent($a->toHTMLRSS()) ;
	}
	catch (Exception $e) {
		$p->appendContent(<<<HTML
    <h1>Exception rencontre</h1>
    <em>{$e->getMessage()}</em>
    <div id='trace'>Trace :
    <pre>
{$e->getTraceAsString()}
    </pre>
    </div>
HTML
) ;
	}

}
catch (notInSessionException $e) {
    // Pas d'utilisateur connect
    header("Location: http://{$_SERVER['SERVER_NAME']}/".dirname($_SERVER['PHP_SELF'])."/index.php") ;
    die() ;
}

echo $p->toHTML() ;